<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('server_rates', function (Blueprint $table) {
            $table->boolean('no_trade')->default(false)->after('double_sp');
            $table->boolean('no_auction')->default(false)->after('no_trade');
            $table->boolean('no_mail')->default(false)->after('no_auction');
            $table->boolean('no_faction')->default(false)->after('no_mail');
        });
    }

    public function down(): void
    {
        Schema::table('server_rates', function (Blueprint $table) {
            $table->dropColumn(['no_trade', 'no_auction', 'no_mail', 'no_faction']);
        });
    }
};
